For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
        • GETGet LLMS.txt
        • PATCHUpdate LLMS.txt
        • DELDelete LLMS.txt
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
EnterpriseSite Configurationllms.txt

Get LLMS.txt

GET
https://api.webflow.com/beta/sites/:site_id/llms_txt
GET
/beta/sites/:site_id/llms_txt
$curl https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/llms_txt \
> -H "Authorization: Bearer <token>"
1{
2 "content": "# Title > Optional description goes here Optional details go here\n## Section name - [Link title](https://link_url): Optional link details\n## Optional - [Link title](https://link_url)\n"
3}
Retrieve llms.txt for a specific Site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `site_config:read`
Was this page helpful?
Previous

Update LLMS.txt

Next
Built with

Retrieve llms.txt for a specific Site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: site_config:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
contentstring
The content of the LLMSTXT file

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error